Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006168OCamlOCaml documentationpublic2013-09-10 16:592014-05-25 20:14
Reporterkosik 
Assigned To 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0 
Target VersionFixed in Version4.02.0+dev 
Summary0006168: Omitted information concerning exceptions that could be raised.
DescriptionUnix.stat function may raise Unix.Unix_error exception.

Like in case of Unix.execv and others, it would be beneficial to state it also explicitely in case of Unix.stat function.

(If that is the intended documenting policy concerning exceptions.)
Additional InformationI've reported similar problem before:
http://caml.inria.fr/mantis/view.php?id=5841 [^]
(for openfile)

There may be more of these kind of omissions.
Tagsjunior_job
Attached Files

- Relationships
duplicate of 0005841closed Omitted information concerning exceptions that could be raised. 

-  Notes
(0010333)
xleroy (administrator)
2013-09-10 19:33

*Any* *single* *function* from the Unix module can raise Unix_error if the underlying system call fails. There is no point in mentioning it for *every* *single* *function*.

The documentation for the Unix module says:

"exception Unix_error of error * string * string

Raised by the system calls below when an error is encountered. [...]"

If this is not clear enough, we should make it clearer that *any* of the Unix functions can raise Unix_error. But please don't submit one bug report per Unix function.
(0011568)
doligez (administrator)
2014-05-25 20:14

fixed in branch 4.02 (commit 14918)

- Issue History
Date Modified Username Field Change
2013-09-10 16:59 kosik New Issue
2013-09-10 19:30 xleroy Relationship added related to 0005841
2013-09-10 19:33 xleroy Note Added: 0010333
2013-09-10 19:33 xleroy Status new => feedback
2014-01-21 15:49 doligez Tag Attached: junior_job
2014-01-21 15:49 doligez Relationship replaced duplicate of 0005841
2014-01-21 15:50 doligez Assigned To => doligez
2014-01-21 15:50 doligez Status feedback => confirmed
2014-01-21 15:50 doligez Assigned To doligez =>
2014-05-25 20:14 doligez Note Added: 0011568
2014-05-25 20:14 doligez Status confirmed => closed
2014-05-25 20:14 doligez Resolution open => fixed
2014-05-25 20:14 doligez Fixed in Version => 4.02.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker